	/*

	Copyright (C) 1998 Stefan Westerfeld
                       stefan@space.twc.de

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    */

#include <sys/types.h>
#include <sys/time.h>
#include <math.h>
#include <stdio.h>
#include <ctype.h>
#include <strings.h>
#include <unistd.h>
#include <stdlib.h>
#include <malloc.h>
#include <sys/time.h>
#include <sys/resource.h>
#include "synth_impl.h"

#include <fcntl.h>

void adjust_priority()
{
	int prio;

	setpriority(PRIO_PROCESS,getpid(),-17);
	prio = getpriority(PRIO_PROCESS,getpid());

	if(prio > -10) {
		printf(">> synthesizer priority is %d (which is bad for realtime, try running as root)\n",prio);
	}
	else {
		printf(">> synthesizer priority is %d (which is ok)\n",prio);
	}
}

main(int argc, char **argv)
{
	adjust_priority();

	CORBA::ORB_var orb = CORBA::ORB_init(argc, argv, "mico-local-orb");
    CORBA::BOA_var boa = orb->BOA_init (argc, argv, "mico-local-boa");

	KSynthesizer_impl *server = new KSynthesizer_impl(&orb);

	boa->impl_is_ready( CORBA::ImplementationDef::_nil() );
	orb->run();

	CORBA::release(server);
	return 0;
}
